/*
 * Sicherheitsunterweisung
 * Copyright (C) 2023  Jason Streifling
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package server

import (
	"github.com/google/uuid"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type tableHTMLData struct {
	sessionID uuid.UUID
	otd       []data.OverviewTableData
}

type participantHTMLData struct {
	briefingID uuid.UUID
	participant
}

type questionHTMLData struct {
	participantHTMLData
	questionID int64
	question   data.Question
}

type resultAnswer struct {
	id      int64
	text    string
	correct bool
	chosen  bool
	isImage bool // TODO: relocate to sessionStructs if possible
}

type resultQuestion struct {
	text    string
	answers []resultAnswer
}

type resultHTMLData struct {
	participantHTMLData
	questions []resultQuestion
}

type summaryHTMLData struct {
	sessionID        uuid.UUID
	briefingID       uuid.UUID
	participantsData []participantHTMLData
}
